package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.TechWebsite;
import com.goafanti.techproject.bo.TechWebsiteDetailBo;

public interface TechWebsiteMapper {
    int deleteByPrimaryKey(String id);

    int insert(TechWebsite record);

    int insertSelective(TechWebsite record);

    TechWebsite selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(TechWebsite record);

    int updateByPrimaryKey(TechWebsite record);

	List<TechWebsite> selectTechWebsiteByUid(String uid);

	int batchDeleteByPrimaryKey(List<String> id);

	TechWebsiteDetailBo selectTechWebsiteDetail(String id);
}